#ifndef CLOBJECTIVESCORE_H
#define CLOBJECTIVESCORE_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class clObjectiveScore;
}

class clObjectiveScore : public QWidget
{
    Q_OBJECT

signals:
	void objectiveScoreHeight(int nRow, int nHeight);
public:
    explicit clObjectiveScore(int nRow, QString sExamStudentId, QWidget *parent = nullptr);
    ~clObjectiveScore();
	int getRow() { return m_nRow; }
    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
	void onQueryObjectiveScoreList(CQueryObjectiveScoreList queryObjectiveScoreList);
private:
    Ui::clObjectiveScore *ui;
	QString m_sExamStudentId;
	int m_nRow;
};

#endif // CLOBJECTIVESCORE_H
